// CUITileBasic - [2020-04-13 11:57:47]
#ifndef _CUITILEBASIC_H_
#define _CUITILEBASIC_H_

#include "CUITile.h"

/*
0013A450  CUITileBasic::CUITileBasic(int,int,TUITBText,char const*,char const*,EUITileAction,int,uint,bool,bool,int)
0013A76A  CUITileBasic::~CUITileBasic()
0013A4FC  CUITileBasic::Render()
0013A760  CUITileBasic::Process()
0013A764  CUITileBasic::SetSheen(bool)

vptr_CUITileBasic_322538:
   CUITile::~CUITile()
   CUITileBasic::~CUITileBasic()
   CUITileBasic::Process(void)
   CUITileBasic::Render(void)
   CUITile::RenderPost(void)
   CUITile::Shutdown(void)
   CUITile::Init(void)
   CUITile::ProcessInput(bool)
   CUITile::RenderBase(void)

0x460
*/

class CUITileBasic : public CUITile {
public:
  CUITileBasic(int a1,
               int a2,
               TUITBText tbtext3,
               char const* pbuf4,
               char const* pbuf5,
               EUITileAction eAction6,
               int a7,
               uint a8,
               bool b9,
               bool b10,
               int a11);            // 0013A450
  virtual ~CUITileBasic();          // 0013A76A
  virtual void Render();            // 0013A4FC
  virtual EUITileAction Process();  // 0013A760
  void SetSheen(bool);              // 0013A764

  ushort field_1AA;
  TUITBText mTUITBText_1AC;
  ushort list_ushort_2D4[124];
  int field_3CC;
  int field_3D0;
  char pName_3D4[128];
  bool b_454;
  uchar field_455;
  uchar field_456;
  uchar field_457;
  int field_458;
  bool b_45C;
  bool b_45D;
  uchar field_45E;
  uchar field_45F;
};

#endif  //_CUITILEBASIC_H_